<div class="dialog socio-demo-dialog">
  <div class="title">
    <h3>{{ 'SOMCI_DEMO.PARAMETERS' | translate }}</h3>
    <i class="icon-icomoon-remove" (click)="onClose()"></i>
  </div>
  <form [formGroup]="formGroup" (ngSubmit)="onSubmit()">
    <div class="forms">
      <section formGroupName="bufferDistance">
        <h5><i class="demo-icon icon-partao_distancetampon"></i>{{ 'SOMCI_DEMO.BUFFER_DISTANCE' | translate }}</h5>
        <geodesign-input-slider
          [label]="('SOMCI_DEMO.TRAIN' | translate) + ' : '"
          formControlName="train"
          max="1000"
          [unit]="'m'"
          size="large"
          step="100"></geodesign-input-slider>
        <geodesign-input-slider
          [label]="('SOMCI_DEMO.UNDERGROUND' | translate) + ' : '"
          formControlName="underground"
          max="1000"
          [unit]="'m'"
          size="large"
          step="100"></geodesign-input-slider>
        <geodesign-input-slider
          [label]="('SOMCI_DEMO.ESSENTIAL_LINES' | translate) + ' : '"
          formControlName="essentialLines"
          max="1000"
          [unit]="'m'"
          size="large"
          step="100"></geodesign-input-slider>
        <geodesign-input-slider
          [label]="('SOMCI_DEMO.PRINCIPAL_LINES' | translate) + ' : '"
          formControlName="principalLines"
          max="1000"
          [unit]="'m'"
          size="large"
          step="100"></geodesign-input-slider>
        <geodesign-input-slider
          [label]="('SOMCI_DEMO.LOCAL_LINES' | translate) + ' : '"
          formControlName="localLines"
          max="1000"
          [unit]="'m'"
          size="large"
          step="100"></geodesign-input-slider>
        <geodesign-input-slider
          [label]="('SOMCI_DEMO.OUT_SCOPE' | translate) + ' : '"
          formControlName="outScope"
          max="1000"
          [unit]="'m'"
          size="large"
          step="100"></geodesign-input-slider>
      </section>
      <section formGroupName="territoryVariable">
        <h5><i class="demo-icon icon-partao_variables_territoires"></i>{{ 'SOMCI_DEMO.TERRITORY_VARIABLE' | translate }}
        </h5>
        <div class="checkboxes">
          <div>
            <geodesign-input-checkbox [label]="'SOMCI_DEMO.POPULATION' | translate"
                                      formControlName="pop"></geodesign-input-checkbox>
          </div>
          <div>
            <geodesign-input-checkbox [label]="'SOMCI_DEMO.SCHOOL_AGE_POPULATION' | translate"
                                      formControlName="popSco"></geodesign-input-checkbox>
          </div>
          <div>
            <geodesign-input-checkbox [label]="'SOMCI_DEMO.65+_POPULATION' | translate"
                                      formControlName="pop65"></geodesign-input-checkbox>
          </div>
          <div>
            <geodesign-input-checkbox [label]="'SOMCI_DEMO.EMPLOYMENT' | translate"
                                      formControlName="emp"></geodesign-input-checkbox>
          </div>
        </div>
      </section>
    </div>
    <geodesign-alert *ngIf="isError">{{ 'GLOBAL.ERROR' | translate }}</geodesign-alert>
    <div class="buttons">
      <geodesign-button styles="primary" type="submit" >{{ 'FORM.APPLY' | translate }}</geodesign-button>
    </div>
  </form>
</div>
